ONVIF::PTZ::Elements::Stop(3pm)

NAME
ONVIF::PTZ::Elements::Stop

DESCRIPTION
Perl data type class for the XML Schema defined element Stop from the namespace http://www.onvif.org/ver20/ptz/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ProfileToken

     $element->set_ProfileToken($data);
     $element->get_ProfileToken();

•   PanTilt

     $element->set_PanTilt($data);
     $element->get_PanTilt();

•   Zoom

     $element->set_Zoom($data);
     $element->get_Zoom();

METHODS

  new
 my $element = ONVIF::PTZ::Elements::Stop->new($data);

Constructor. The following data structure may be passed to new():

 {
   ProfileToken => $some_value, # ReferenceToken
   PanTilt =>  $some_value, # boolean
   Zoom =>  $some_value, # boolean
 },

AUTHOR
Generated by SOAP::WSDL